/*Today no sass*/

@import url(https://fonts.googleapis.com/css?family=Source+Sans+Pro:400);

*,
*:after,
*:before {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

html {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-rendering: optimizelegibility;
}

html,
body {
  width: 100%;
  height: 100%;
  overflow: hidden;
}

body {
  background: -webkit-linear-gradient(90deg, rgba(224,224,214,0.9) 42%, rgba(24,14,14,0.9) 42.6%, rgba(28,24,24,0.9) 55%, rgba(5,0,0,0.9) 100%), -webkit-linear-gradient(45deg, rgba(105,255,255,1) 0%, rgba(255,190,190,1) 100%);
}

.disco {
  cursor: pointer;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 200px;
  height: 200px; 
}

.disco--cover,
.disco--vinilo {
  position: absolute;
  width: 100%;
  height: 100%;
}

.disco--cover {
  background: url(cover.jpg) no-repeat center center;
  background-size: cover;
  border-radius: 2px;
  overflow: hidden;
  z-index: 10;
}

.disco--cover::after,
.disco::before {
  content: "";
  position: absolute;
}

.disco--cover::after {
  filter: blur(50px) brightness(0.9);
  background: -webkit-linear-gradient(45deg, rgba(34,14,14,0.4) 0%, rgba(125,126,125,0.5) 60%, rgba(255,206,205,0.6) 100%);
  box-shadow: inset 0px 1px 1px rgba(255,206,205,0.7), inset -1px 0px 2px rgba(105,26,25,1), inset 0px -2px 2px #fff;
  border-radius: 2px;
  width: 100%;
  height: 100%;
}

.disco::before {
  border-radius: 50%;
  box-shadow: -20px 55px 25px rgba(28,0,0,0.7);
  left: 0;
  bottom: 0px;
  height: 12px;
  width: 95%;
  transform: perspective(800px) rotateX(70deg) scaleX(1.2) scaleY(0.9);
  transition: width 1s ease;
  z-index: -20;
}

.disco:hover::before {
  width: 105%;
}

.disco--vinilo {
  background: url(bg.png) no-repeat center center;
  background-size: 190px 190px;
  transform: translate3d(25px, 0px, 0px) rotateZ(10deg);
  transition: transform 800ms cubic-bezier(0.390, 0.575, 0.565, 1.000);
}

.disco--vinilo::after {
  background: -webkit-radial-gradient(center, ellipse cover, rgba(255,255,255,0) 30%, rgba(214,214,214,0.2) 100%), -webkit-linear-gradient(65deg, rgba(255,255,255,0) 50%, rgba(255,190,190,0.5) 100%);
  box-shadow: inset 0px 1px 1px rgba(255,255,255,0.3), inset -1px 1px 2px rgba(135,126,125,0.2), inset 0px 0px 2px 30px rgba(55,55,55,0.1), inset 0px 0px 2px 19px rgba(25,25,25,0.1), inset 0px 0px 1px 40px rgba(25,25,25,0.2);
  background-size: 190px 190px;
  content:"";
  border-radius: 100%;
  position: absolute;
  top: 5px;
  left: 5px;
  width: 190px;
  height: 190px;
}

.disco:hover > .disco--vinilo {
  transform: translate3d(110px, 0px, 0px) rotateZ(80deg);
}

.disco--caption {
  position: absolute;
  top: 115%;
  text-align: center;
  opacity: 0.01;
  width: 100%;
  transition: opacity 400ms 0ms cubic-bezier(0.445, 0.050, 0.550, 0.950);
}

.disco:hover > .disco--caption {
  opacity: 1;
  transition: opacity 700ms 800ms cubic-bezier(0.445, 0.050, 0.550, 0.950);
}

.disco--caption p {
  color: rgba(115,114,114,0.5);
  font-family: 'Source Sans Pro', sans-serif;
  text-transform: uppercase;
  letter-spacing: 3px;
  font-size: 0.72em;
}

